type: google.api.Service
config_version: 3
name: analyticsadmin.googleapis.com
title: Google Analytics Admin API

apis:
- name: google.analytics.admin.v1alpha.AnalyticsAdminService

authentication:
  rules:
  - selector: 'google.analytics.admin.v1alpha.AnalyticsAdminService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.AuditUserLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users,
        https://www.googleapis.com/auth/analytics.manage.users.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.BatchCreateUserLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.BatchDeleteUserLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.BatchGetUserLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users,
        https://www.googleapis.com/auth/analytics.manage.users.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.BatchUpdateUserLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.CreateUserLink
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.DeleteUserLink
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetAccount
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetAndroidAppDataStream
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetConversionEvent
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetCustomDimension
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetCustomMetric
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetDataSharingSettings
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetEnhancedMeasurementSettings
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetGlobalSiteTag
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetGoogleSignalsSettings
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetIosAppDataStream
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetMeasurementProtocolSecret
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetProperty
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetUserLink
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users,
        https://www.googleapis.com/auth/analytics.manage.users.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.GetWebDataStream
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListAccountSummaries
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListAccounts
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListAndroidAppDataStreams
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListConversionEvents
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListCustomDimensions
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListCustomMetrics
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListFirebaseLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListGoogleAdsLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListIosAppDataStreams
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListMeasurementProtocolSecrets
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListProperties
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListUserLinks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users,
        https://www.googleapis.com/auth/analytics.manage.users.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.ListWebDataStreams
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.edit,
        https://www.googleapis.com/auth/analytics.readonly
  - selector: google.analytics.admin.v1alpha.AnalyticsAdminService.UpdateUserLink
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/analytics.manage.users
